#!/bin/tcsh -f


if($#argv < 1) then
    echo "Usage: $0 <group name> "
    echo "\tChange the group ID of execs to specified group.";
 exit(1);
endif

set grp = $argv[1];
echo "Group = ${grp} "
    
set fls = (k5vsi-vdif-dim k5vsi-vssp-dim \
    vsi_localwrite_srv vsi_sudptx_srv InVSI-test InVSI-bist InVSI-spctr)

set bdir = /usr/local/bin
foreach f ($fls)
   set f1 = "${bdir}/${f}"
    if( !( -e $f1) ) continue 
    ls -l $f1
    chgrp ${grp} $f1
    chmod +s $f1
    ls -l $f1
end




